Metadata-Version: 2.4
Name: check_unattended_upgrades
Version: 2.0.0a1
Summary: Monitoring plugin to check automatic updates (unattended-upgrades) on Debian / Ubuntu.
Author: Josef Friedrich
Author-email: Josef Friedrich <josef@friedrich.rocks>
License-Expression: MIT
Classifier: Development Status :: 5 - Production/Stable
Classifier: Topic :: Utilities
Classifier: License :: OSI Approved :: MIT License
Classifier: Programming Language :: Python :: 3 :: Only
Classifier: Programming Language :: Python :: 3
Classifier: Programming Language :: Python :: 3.10
Classifier: Programming Language :: Python :: 3.11
Classifier: Programming Language :: Python :: 3.12
Classifier: Programming Language :: Python :: 3.13
Requires-Dist: nagiosplugin>=1.3,<2
Requires-Python: >=3.10, <4
Project-URL: Repository, https://github.com/Josef-Friedrich/check_unattended_upgrades
Description-Content-Type: text/x-rst

.. image:: http://img.shields.io/pypi/v/check-unattended-upgrades.svg
    :target: https://pypi.org/project/check-unattended-upgrades
    :alt: This package on the Python Package Index

.. image:: https://github.com/Josef-Friedrich/check_unattended_upgrades/actions/workflows/tests.yml/badge.svg
    :target: https://github.com/Josef-Friedrich/check_unattended_upgrades/actions/workflows/tests.yml
    :alt: Tests

Command line interface
----------------------

:: 

    check_unattended_upgrades v1.4
    Copyright (c) 2015-2026 Josef Friedrich <josef@friedrich.rocks>

    Monitoring plugin to check automatic updates (unattended-upgrades) on Debian / Ubuntu.

    Usage: check_unattended_upgrades <options>

    Options:
     -A, --anacron
    	Check if the package 'anacron' is installed.
     -a, --autoclean
    	Check if the configuration 'APT::Periodic::AutocleanInterval' is set
    	properly.
     -c, --critical
    	Time interval since the last execution to result in a critical state
    	(seconds).
     -D, --short-description
    	Show a short description of this check plugin.
     -d, --download
    	Check if the configuration 'APT::Periodic:Download-Upgradeable-Packages'
    	is set properly.
     -e, --enable
    	Check if the configuration 'APT::Periodic::Enable' is set properly.
     -h, --help
    	Show this help message.
     -l, --lists
    	Check if the configuration 'APT::Periodic::Update-Package-Lists' is set
    	properly.
     -m, --mail
    	Check if the configuration 'Unattended-Upgrade::Mail' is set properly.
     -n, --dry-run
    	Check if 'unattended-upgrades --dry-run' is working. Warning: If you use
    	this option the performance data last_ago is always 0 or near to 0.
     -p, --repo
    	Check if 'Unattended-upgrades' is configured to include the specified
    	custom repository.
     -R, --reboot
    	Check if the machine needs a reboot.
     -r, --remove
    	Check if the configuration 'Unattended-Upgrade::Remove-Unused-
    	Dependencies' is set properly.
     -S, --security
    	Check if 'Unattended-upgrades' is configured to handle security updates.
     -s, --sleep
    	Check if the configuration 'APT::Periodic::RandomSleep' is set properly.
     -t, --systemd-timers
    	Check if the appropriate Systemd timers are enabled ( apt-daily-upgrade.timer, apt-daily.timer ).
     -u, --unattended
    	Check if the configuration 'APT::Periodic::Unattended-Upgrade' is set
    	properly.
     -v, --version
    	Show the version number.
     -w, --warning
    	Time interval since the last execution to result in a warning state
    	(seconds).

    Performance data:
      - last_ago
    	  Time interval in seconds for last unattended-upgrades execution.
      - warning
    	  Interval in seconds.
      - critical
    	  Interval in seconds.

    About file system permissions:
    	The user which executes this plugin must have read permissions to this
    	log file:

    		/var/log/unattended-upgrades/unattended-upgrades.log

    	To allow every user on your system to read the mentioned log file this
    	permissions are recommended:

    		751 (drwxr-x--x) /var/log/unattended-upgrades
    		644 (-rw-r--r--) /var/log/unattended-upgrades/unattended-upgrades.log

Project pages
-------------

* https://github.com/Josef-Friedrich/check_unattended_upgrades
* https://exchange.icinga.com/joseffriedrich/check_unattended_upgrades
* https://exchange.nagios.org/directory/Plugins/Software/check_unattended_upgrades/details
